di_mem_chunk Struct Reference
Di_mem_chunk

a mem chunk More...

## Data Fields

int | num_mem_areas
int | num_marked_areas
size_t | atom_size
size_t | area_size
size_t | rarea_size
di_mem_area * | mem_area
di_mem_area * | mem_areas

## Detailed Description

a mem chunk

## Field Documentation

## area_size

size_t area_size

the size of a memory area

## atom_size

size_t atom_size

the size of an atom

## mem_area

di_mem_area* mem_area

the current memory area

## mem_areas

di_mem_area* mem_areas

a list of all the mem areas owned by this chunk

## num_marked_areas

int num_marked_areas

the number of areas marked for deletion

## num_mem_areas

int num_mem_areas

the number of memory areas

## rarea_size

size_t rarea_size

the size of a real memory area